# Copyright (c)  2018 Dave Love, University of Manchester
# MIT licence (Fedora policy)

# Fixme: separate python package (2/3?)

Name:           tracking
Version:        2.6.12
Release:        1%{?dist}
Summary:        Evolution of parallel application behaviour
License:        GPLv3
URL:            https://tools.bsc.es/tracking
Source0:        https://ftp.tools.bsc.es/tracking/tracking-%version-src.tar.bz2
Patch1:         tracking-inst.patch
BuildRequires:  paraver-devel >= 4.5.0 clusteringsuite-devel >= 2.6.0
BuildRequires:	extrae-devel boost-devel wxPython-devel
BuildRequires:  automake libtool chrpath autoconf%{?el6:268}
BuildRequires:	python2-devel
Requires:       paraver%{_isa} clusteringsuite%{_isa}
Requires:	python2-matplotlib python%{?fedora:2}-pillow

%{?filter_setup:
%filter_from_requires /color-palette\.pl/d
%filter_setup
}

%description
Analyze how the behaviour of a parallel application evolves through
different scenarios.

%package devel
Summary:        Development files for %name
Requires:       %name%{?_isa} = %version-%release

%description devel
Development files for %name.

%package doc
Summary:        Documentation for %name
BuildArch:      noarch

%description doc
Documentation for %name


%prep
%setup -q
%patch1 -p1 -b .inst
autoreconf%{?el6:268} -fiv -Iconfig # fails in el6


%build
%configure CPPFLAGS=-I%_includedir/paraver\ -I%_includedir/clusteringsuite --sysconfdir=%_sysconfdir/tracking
%make_build AM_LDFLAGS='-L%_libdir/paraver-kernel -lparaver-kernel -lparaver-api'


%install
%make_install
mkdir -p %buildroot%_sysconfdir %buildroot%_pkgdocdir
mkdir -p %buildroot%_datadir/icons %buildroot%python2_sitelib/tracking
mv %buildroot%_prefix/etc/icons %buildroot%_datadir/icons/tracking
mv %buildroot%_prefix/etc %buildroot/%_sysconfdir/tracking
mv %buildroot%_prefix/doc/* %buildroot/%_pkgdocdir
rmdir %buildroot%_prefix/doc
mv %buildroot%_bindir/{plotting_manager,xtrack,callers_frame,decorations,data_manager}.py \
    %buildroot%python2_sitelib/tracking
chmod -x %buildroot%python2_sitelib/tracking/*
chrpath -d %buildroot%_bindir/tracking.bin


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog
%_bindir/*
%exclude %_libdir/libANNClassify.*a
%_libdir/libANNClassify.*so.*
%config(noreplace) %_sysconfdir/tracking
%_datadir/icons/tracking
%python2_sitelib/tracking

%files devel
%_libdir/libANNClassify.*so
%_includedir/ANNClassify

%files doc
%_pkgdocdir


%changelog
* Tue Aug 18 2020 Dave Love <loveshack@fedoraproject.org> - 2.6.12-1
- New version

* Thu Mar 26 2020 Dave Love <loveshack@fedoraproject.org> - 2.6.11-1
- New version

* Thu Jan 10 2019 Dave Love <loveshack@fedoraproject.org> - 2.6.10-2
- Filter requires

* Mon Sep 24 2018 Dave Love <loveshack@fedoraproject.org> - 2.6.10-1
- New version

* Thu Sep 20 2018 Dave Love <loveshack@fedoraproject.org> - 2.6.9-1
- New version
- Use autoconf268 on el6

* Mon Apr  9 2018  <loveshack@fedoraproject.org> - 2.6.7-1
- Initial packaging
